/* GCC */
#include <fstream>
#include <string>
#include <iomanip>
#include <cmath>
#include <vector>

using namespace std;
const char dir[2] = {'u', 'r'};
const int delta[2][2] = { { -1, 0 }, { 0, 1 } };

int main(void)
{
    ios_base::sync_with_stdio(false);
    ifstream in("privat.in");
    int m, n, next_i, next_j, nn_d, cur, ans_1, ans_2;
    in >> m >> n;
    vector<vector<int> > v(m, vector<int>(n)), dp(m, vector<int>(n, -1));
    vector<vector<char> > path(m, vector<char>(n));
    for(int i = 0; i < m; ++i)
        dp[i][n - 1] = 0;
    for(int j = 0; j < n; ++j)
        dp[0][j] = 0;
    for(int i = 0; i < m; ++i)
        for(int j = 0; j < n; ++j)
            in >> v[i][j];
    in.close();
    for(int i = 1; i < m; ++i)
        for(int j = n - 2; j >= 0; --j)
            for(int d = 0; d < 2; ++d)
            {
                next_i = i + delta[d][0], next_j = j + delta[d][1];
                if(path[next_i][next_j] == 'r')
                    nn_d = 1;
                else if(path[next_i][next_j] == 'u')
                    nn_d = 0;
                else
                    nn_d = -1;
                cur = (nn_d == -1 ? 0 : dp[next_i + delta[nn_d][0]][next_j + delta[nn_d][1]]) + v[next_i][next_j];
                if(cur > dp[i][j])
                    dp[i][j] = cur, path[i][j] = dir[d];
            }
    next_i = m - 1, next_j = 0;
    nn_d = (path[next_i][next_j] == 'r' ? 1 : 0);
    ans_1 = dp[next_i][next_j], ans_2 = dp[next_i + delta[nn_d][0]][next_j + delta[nn_d][1]];
    ofstream out("privat.out");
    out << ans_1 << ' ' << ans_2 << '\n';
    while(true)
    {
        if(path[next_i][next_j] == 'r')
            nn_d = 1;
        else if(path[next_i][next_j] == 'u')
            nn_d = 0;
        else
        {
            out << '\n';
            break;
        }
        out << path[next_i][next_j];
        next_i += delta[nn_d][0], next_j += delta[nn_d][1];
    }
    out.close();
    return 0;
}

