/* GCC */
#include <iostream>
#include <cstdio>
#include <cstdlib>
#include <ctime>
#include <cmath>
#include <cstring>
#include <string>
#include <vector>
#include <map>
#include <algorithm>
#include <queue>
#include <sstream>
#include <locale.h>

#define X first
#define Y second
#define mp(a, b) make_pair((a), (b))

using namespace std;

int n, m, i, j;
vector < vector <int> > a;
vector < vector < pair <int, int> > > v;

int main()
{
    freopen("privat.in", "r", stdin);
    freopen("privat.out", "w", stdout);

    scanf("%d %d", &n, &m);
    a.resize(n, vector <int> (m));
    v.resize(n, vector < pair <int, int> > (m));
    for(i = n - 1; i >= 0; i--)
        for(j = 0; j < m; j++)
        {
            scanf("%d", &a[i][j]);

            if(i == n - 1 || j == m - 1)
                v[i][j] = mp(0, 0);
        }

    for(i = n - 2; i >= 0; i--)
        for(j = m - 2; j >= 0; j--)
            if(v[i][j + 1].Y + a[i][j + 1] > v[i + 1][j].Y + a[i + 1][j])
                v[i][j] = mp(v[i][j + 1].Y + a[i][j + 1], v[i][j + 1].X);
            else
                v[i][j] = mp(v[i + 1][j].Y + a[i + 1][j], v[i + 1][j].X);

    printf("%d %d\n", v[0][0].X, v[0][0].Y);
    i = 0;
    j = 0;
    while(i < n - 1 && j < m - 1)
        if(v[i][j + 1].Y + a[i][j + 1] > v[i + 1][j].Y + a[i + 1][j])
        {
            printf("r");
            j++;
        }
        else
        {
            printf("u");
            i++;
        }
    printf("\n");

    return 0;
}











