/* GCC */
#include <iostream>
#include <cmath>
#include <cstdio>
#include <cstdlib>
#include <string>
#include <string.h>
#include <vector>
#include <sstream>
#include <algorithm>

#define mxn 2003
#define mxg 10005

using namespace std;

vector <pair<int, int> > G[mxn];
vector <int> Ans[mxn];
int ans = 0, mn, t, n;
bool tf, TF[mxn];
int big = false;

bool cheak() {
    int k;
    for(k = 0; k < n; k++) if(!TF[k]) break;
    if(k == n) {
        ++ans;
        return true;
    }

    bool TF2[mxn];
    for(int i = 0; i < n; i++) TF2[i] = TF[i];
    TF2[k] = true;
    int st = 0, fn = 1;
    int Q[mxn];
    Q[0] = k;
    while(st != fn) {
        int v = Q[st]; ++st;
        for(int i = 0; i < (int)G[v].size(); i++) {
            int to = G[v][i].first;
            if(TF2[to]) continue;
            TF2[to] = true;
            Q[fn] = to;
            fn++;
        }
    }
    for(int i = 0; i < n; i++)
        if(!TF2[i]) return false;

    ++ans;
    Ans[ans] = Ans[ans - 1];
    return true;
}

bool solve(int k) {
    if(Ans[ans].size() > 2) {
        for(int i = G[k].size() - 1; i >= 0; i--) {
            int to = G[k][i].first;
            if(!TF[to] || to == Ans[ans][Ans[ans].size() - 2]) continue;
            if(to != mn) return false;
            if(k < Ans[ans][1]) return false;

            if(cheak()) {
                for(int j = 0; j < (int)G[mn].size(); j++)
                    if(G[mn][j].first == k) {
                        G[mn][j].second++;
                        break;
                    }

                for(int j = 0; j < (int)G[mn].size(); j++)
                    if(G[mn][j].first == Ans[ans - 1][1]) {
                        G[mn][j].second++;
                        break;
                    }
                return true;
            }
            else return false;
        }
    }
    if(Ans[ans].size() >= 8 && !big)
        return false;
    for(int i = 0; i < (int)G[k].size(); i++)
        if(G[k][i].second < 2) {
            int to = G[k][i].first;
            if(to < mn || (k != mn && to == Ans[ans][Ans[ans].size() - 2])) continue;
            Ans[ans].push_back(to);
            TF[to] = true;
            if(solve(to)) {
                ++G[k][i].second;
                TF[to] = false;
                Ans[ans].pop_back();
                if(k == Ans[ans - 1][1]) continue;
                else return true;
            }
            TF[to] = false;
            Ans[ans].pop_back();
        }
    return false;
}

bool operator <(vector <int> A, vector <int> B) {
    return (A.size() < B.size());
}



int main() {
    freopen("solid.in", "r", stdin);
    freopen("solid.out", "w", stdout);

    cin >> n;
    char s[25000];
    gets(s);

    int x;
    for(int i = 0; i < n; i++) {
        gets(s);
        istringstream iss(s);
        G[i].clear();
        while(iss >> x) {
            --x;
            G[i].push_back(make_pair(x, 0));
        }
    }

    for(int i = 0; i < n; i++) {
        mn = i;
        Ans[ans].clear();
        Ans[ans].push_back(i);
        tf = false;
        t = 0;
        memset(TF, 0, sizeof(TF));
        TF[i] = true;
        solve(i);
    }

    big = true;

        for(int i = 0; i < n; i++) {
        mn = i;
        Ans[ans].clear();
        Ans[ans].push_back(i);
        tf = false;
        t = 0;
        memset(TF, 0, sizeof(TF));
        TF[i] = true;
        solve(i);
    }

    stable_sort(Ans, Ans + n);

    bool ch[ans];
    memset(ch, 0, sizeof(ch));

    bool bb = false;
    for(int i = 0; i < ans - 1; i++){
        bb = false;
        for(int j = 0, k = 0; j < Ans[i].size(), k < Ans[i + 1].size(); j++, k++) {
            if(Ans[i][j] != Ans[i + 1][k]){
                bb = true;
                break;
            }
        }
        if(!bb)
            ch[i] = true;
    }

    for(int i = 0; i < ans; i++)
        for(int j = 0; j < Ans[i].size(); j++)
            if(!ch[i])
                printf("%d%s", Ans[i][j] + 1, (j == (Ans[i].size() - 1) ? "\n" : " "));
}
