/* GCC */
#include <cstdio>
#include <vector>
#include <sstream>
#include <algorithm>
using namespace std;
vector<vector<int> > Fig, Fig1;
vector <int> Edge;

int n;

bool ASD(vector <int> A, const int & siz){
    if (A.size() != siz) return false;
    if (A[1] > A.back()) return false;
    for (int i=1; i<A.size(); i++) if (A[i] < A[0]) return false;

    for (int i=0; i<siz-2; i++) for (int j=i+2; j < siz; j++) if ((Fig1[A[i]][A[j]]) && (!(i==0 && j == siz-1))) return false;

    return true;
}

bool BFS(vector<int> K){
    sort(K.begin(), K.end());
    int start = 0;
    while(K[start] == start && start < K.size()) start++;
    vector <int> A;

    A.push_back(start);

    return true;
}

bool DFS(int siz, int num, int start, int k, vector <int> & L){
    //printf("--%d %d %d %d--\n", siz, num, start, k);
    //for (int i=0; i<L.size(); i++) printf("%d ", L[i]); printf("\n");
    if (num == siz) {
        if (Fig[start][k] == 0) return false;
        else return true;
    }
    //printf("\n");for (int i=0; i<L.size()-1; i++) printf("%d ", L[i]); printf("%d\n\n", L.back());
    //printf("\n");for (int i=0; i<Edge.size()-1; i++) printf("%d ", Edge[i]); printf("%d\n\n", Edge.back());

    for (int i=0; i<n; i++) if ((Fig[k][i] != 0)&&(Edge[i])) {
    //printf("\n");for (int qq=0; qq<Edge.size()-1; qq++) printf("%d ", Edge[qq]); printf("%d\n\n", Edge.back());
        Edge[i] = false;
        L.push_back(i);

        if ((DFS(siz, num+1, start, i, L))&&ASD(L, siz) && BFS(L)){
            //printf("$\n");
 /*                       printf("\n");
                        for (int ii = 0; ii < n; ii++){
                        for (int jj = 0; jj < Fig[ii].size(); jj++) printf("%d ", Fig[ii][jj]);
                        printf("\n");
                        }printf("\n");
 */             //printf("----");
                //Fig[L.front()][L.back()] --;
                for (int ii=0; ii<siz-1; ii++) {
                    printf("%d ", L[ii]+1);
                    Fig[L[ii]][L[ii+1]]--;  Fig[L[ii+1]][L[ii]]--;
                }printf("%d\n", L.back()+1);
                Fig[L[0]][L.back()] --;
                Fig[L.back()][L[0]] --;
                //printf("----\n");
            //}

            //Fig[k][i]--;
            //Fig[i][k]--;

        }//else { Fig[k][i]++;  Fig[i][k]++;}

        Edge[i] = true;
        L.erase(L.end()-1, L.end());
    }

    return true;
}


void Find(int num){
    vector <int> FF;
    for (int k = 0; k < n; k++){
        FF.assign(1, k);
        Edge[k] = false;
        if (DFS(num, 1, k, k, FF));
        Edge[k] = true;
    }
}

int main(){
    freopen("solid.in", "r", stdin);
    freopen("solid.out", "w", stdout);
    int k;
    scanf("%d\n", &n); Fig.resize(n); Edge.assign(n, true);
    char buf[4000];
    for (int i=0; i<n; i++){
        Fig[i].assign(n, 0);
        stringstream ss;
        gets(buf);
        ss<<buf;
        while(ss >> k) Fig[i][k-1] = 2;
    }
    Fig1 = Fig;

    for (int qq = 3; qq < 9; qq++) Find(qq);



    /*for (int i = 0; i < n; i++){
        for (int j = 0; j < Fig[i].size(); j++) printf("%d ", Fig[i][j]);
        printf("\n");
    }*/

    fclose(stdin);
    fclose(stdout);
    return 0;
}

/*
                        printf("\n");
                        for (int ii = 0; ii < n; ii++){
                        for (int jj = 0; jj < Fig[ii].size(); jj++) printf("%d ", Fig[ii][jj]);
                        printf("\n");
                        }printf("\n");
*/
