/* GCC */
#include <iostream>
#include <fstream>
#include <vector>
#include <string>
#include <algorithm>

using namespace std;

const short MAX=2e3+1;

short n, len;
vector <short> arr[MAX], last;
short can[MAX][MAX];
short stck[MAX], vis[MAX];
bool vis_check[MAX];
vector < vector <short> > ans[10], sorted[10];

bool cmp(vector<short> & a, vector<short> & b)
{
    for(short i=0; i<len; ++i)
        if(a[i]!=b[i])
            return a[i]<b[i];
}

void dfs_check(short v)
{
    vis_check[v]=true;
    for(short i=0; i<arr[v].size(); ++i)
        if(vis[arr[v][i]]==0&&!vis_check[arr[v][i]])
            dfs_check(arr[v][i]);
}

short dfs(short v, short d)
{
    short cnt=0;
    vis[v]=d;
    stck[d]=v;
    for(short i=0; i<arr[v].size(); ++i)
    {
        short to=arr[v][i];
        if(!can[v][to]) continue;
        if(vis[to]==1&&d==len)
        {
            bool flag=true;
            for(short j=1; j<=n; ++j)
                vis_check[j]=false;
            for(short j=1; j<=n; ++j)
                if(vis[j]==0)
                {
                    dfs_check(j);
                    break;
                }
            for(short j=1; j<=n; ++j)
                if(vis[j]==0&&!vis_check[j])
                    flag=false;
            if(flag)
            {
                vector <short> now;
                for(short j=1; j<=d; ++j)
                    now.push_back(stck[j]);
                vector <short> one=now;
                sort(one.begin(), one.end());
                for(short j=0; j<sorted[len].size(); ++j)
                {
                    bool tmp=false;
                    for(short k=0; k<len; ++k)
                        if(one[k]!=sorted[len][j][k])
                            tmp=true;
                    flag=flag&&tmp;
                }
                if(flag)
                {
                    ++cnt;
                    --can[v][to];
                    --can[to][v];
                    ans[len].push_back(now);
                    sorted[len].push_back(one);
                }
            }
        }
        else if(vis[to]==0&&d<len)
        {
            short now=dfs(to, d+1);
            can[v][to]-=now;
            can[to][v]-=now;
            cnt+=now;
        }
    }
    vis[v]=0;
    return cnt;
}

void dfs_last(short v)
{
    vis[v]=1;
    last.push_back(v);
    for(short i=0; i<arr[v].size(); ++i)
    {
        if(can[v][arr[v][i]]&&vis[arr[v][i]]==0)
        {
            --can[v][arr[v][i]];
            --can[arr[v][i]][v];
            dfs_last(arr[v][i]);
        }
        else if(can[v][arr[v][i]])
        {
            --can[v][arr[v][i]];
            --can[arr[v][i]][v];
        }
    }
}

int main()
{
    ios::sync_with_stdio(0);
    ifstream cin("solid.in");
    ofstream cout("solid.out");
    cin >> n;
    string in;
    getline(cin, in);
    for(short i=1; i<=n; ++i)
    {
        getline(cin, in);
        short now=0, pos=0;
        while(pos<in.length())
        {
            if(in[pos]!=' ')
                now=now*10+in[pos]-'0';
            else 
            {
                arr[i].push_back(now);
                can[now][i]=can[i][now]=2;
                now=0;  
            }
            ++pos;
        }
        if(now!=0)
        {
            arr[i].push_back(now);
            can[now][i]=can[i][now]=2;
        }
    }
    for(len=3; len<=8; ++len)
    {
        for(short i=1; i<=n; ++i)
            dfs(i, 1);
        sort(ans[len].begin(), ans[len].end(), cmp);
    }
    for(len=3; len<=8; ++len)
        for(short i=0; i<ans[len].size(); ++i)
        {
            for(short j=0; j<ans[len][i].size(); ++j)
            {
                cout << ans[len][i][j];
                if(j!=ans[len][i].size()-1) cout << " ";
            }
            cout << endl;
        }
    for(short i=1; i<=n; ++i)
    {
        bool flag=false;
        for(short j=0; j<arr[i].size(); ++j)
            if(can[i][arr[i][j]])
                flag=true;
        if(flag)
            dfs_last(i);
    }
    for(short i=0; i<last.size(); ++i)
    {
        cout << last[i];
        if(i!=last.size()-1) cout << " ";
    }
    if(last.size()!=0)
        cout << endl;
    return 0;
}
